"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@remixicon/react");
const react_2 = require("react");
const SuccessButton_1 = require("./SuccessButton");
const ToolButton_1 = require("./ToolButton");
function CopyButton({ code, locale }) {
    const [success, setSuccess] = (0, react_2.useState)(false);
    (0, react_2.useEffect)(() => {
        let timer = 0;
        if (success) {
            timer = window.setTimeout(() => {
                setSuccess(false);
            }, 1500);
        }
        return () => {
            window.clearTimeout(timer);
        };
    }, [success]);
    if (success) {
        return (0, jsx_runtime_1.jsx)(SuccessButton_1.SuccessButton, { locale: locale });
    }
    return ((0, jsx_runtime_1.jsxs)(ToolButton_1.ToolButton, { onClick: () => {
            navigator.clipboard
                .writeText(code || '')
                .then(() => {
                setSuccess(true);
            })
                .catch();
        }, children: [(0, jsx_runtime_1.jsx)(react_1.RiFileCopy2Line, {}), (locale === null || locale === void 0 ? void 0 : locale['copy']) || 'Copy'] }));
}
exports.CopyButton = CopyButton;
