"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DemoBlock = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@remixicon/react");
const classnames_1 = require("classnames");
const react_2 = require("react");
const react_live_1 = require("react-live");
const CopyButton_1 = require("./CopyButton");
require("./DemoBlock.css");
const FileName_1 = require("./FileName");
const Spacer_1 = require("./Spacer");
const Toobar_1 = require("./Toobar");
const ToolButton_1 = require("./ToolButton");
const ToolSelect_1 = require("./ToolSelect");
function DemoBlock({ code, filename, language = 'jsx', device = 'responsive', disablePadding, className, style, }) {
    const deviceList = (0, react_2.useMemo)(() => [
        { value: 'mobile', label: 'Mobile', icon: (0, jsx_runtime_1.jsx)(react_1.RiSmartphoneLine, {}) },
        { value: 'tablet', label: 'Tablet', icon: (0, jsx_runtime_1.jsx)(react_1.RiTabletLine, {}) },
        { value: 'laptop', label: 'Laptop', icon: (0, jsx_runtime_1.jsx)(react_1.RiMacbookLine, {}) },
    ], []);
    const [selectedDevice, setSelectedDevice] = (0, react_2.useState)(device === 'responsive' ? 'laptop' : device);
    const selectedDeviceObj = (0, react_2.useMemo)(() => deviceList.find((item) => item.value === selectedDevice), [selectedDevice, deviceList]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, classnames_1.default)('doc-ui-demo-block', 'doc-ui-demo-block-' + selectedDevice, className), style: style, children: [(0, jsx_runtime_1.jsxs)(Toobar_1.Toolbar, { children: [(0, jsx_runtime_1.jsx)(FileName_1.FileName, { language: language, filename: filename }), (0, jsx_runtime_1.jsx)(Spacer_1.Spacer, {}), device === 'responsive' ? ((0, jsx_runtime_1.jsx)(ToolSelect_1.ToolSelect, { value: selectedDevice, onChange: setSelectedDevice, options: deviceList })) : ((0, jsx_runtime_1.jsx)(ToolButton_1.ToolButton, { icon: selectedDeviceObj === null || selectedDeviceObj === void 0 ? void 0 : selectedDeviceObj.icon, children: selectedDeviceObj === null || selectedDeviceObj === void 0 ? void 0 : selectedDeviceObj.label })), (0, jsx_runtime_1.jsx)(CopyButton_1.CopyButton, { code: code })] }), (0, jsx_runtime_1.jsx)(react_live_1.LiveProvider, { code: code, 
                // disable the built-in theme of react-prism-renderer
                theme: { plain: {}, styles: [] }, enableTypeScript: language === 'tsx', children: (0, jsx_runtime_1.jsxs)("div", { className: "doc-ui-demo-block-main", children: [(0, jsx_runtime_1.jsx)(react_live_1.LivePreview, { className: (0, classnames_1.default)('doc-ui-demo-block-preview', disablePadding && 'doc-ui-demo-block-preview-disable-padding') }), (0, jsx_runtime_1.jsxs)("div", { className: "doc-ui-demo-block-develop", children: [(0, jsx_runtime_1.jsx)(react_live_1.LiveError, { className: "doc-ui-demo-block-error" }), (0, jsx_runtime_1.jsx)(react_live_1.LiveEditor, { className: "doc-ui-demo-block-editor" })] })] }) })] }));
}
exports.DemoBlock = DemoBlock;
