import { CSSProperties } from 'react';
import './index.css';
import { MDXDoc } from './types';
export interface DocUIProps {
    /**
     * Imported Markdown/MDX files. For example:
     *
     * ```jsx
     * import * as readme from './README.md';
     * import * as changelog from './CHANGELOG.md';
     *
     * <DocUI docs={[ readme, changelog ]} />
     * ```
     */
    docs?: MDXDoc[];
    /**
     * React Router basename
     */
    basename?: string;
    /**
     * Extra className.
     */
    className?: string;
    /**
     * Extra style.
     */
    style?: CSSProperties;
}
export default function DocUI({ docs, basename, className, style }: DocUIProps): import("react/jsx-runtime").JSX.Element;
