import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { MDXProvider } from '@mdx-js/react';
import cn from 'classnames';
import { BrowserRouter, Route, Routes } from 'react-router-dom';
import './index.css';
import { SiteNav } from './private/SiteNav';
import { components } from './private/components';
import { getRoutePath } from './private/getRoutePath';
export default function DocUI({ docs = [], basename, className, style }) {
    return (_jsx(BrowserRouter, { basename: basename, children: _jsxs("div", { className: cn('doc-ui', className), style: style, children: [_jsx(SiteNav, { docs: docs }), _jsx("main", { className: "doc-ui-main", children: _jsx("article", { className: "doc-ui-content", children: _jsx(MDXProvider, { components: components, children: _jsx(Routes, { children: docs.map((doc) => (_jsx(Route, { index: doc.filepath === 'README.md', path: getRoutePath(doc.filepath), Component: doc.default }, doc.filepath))) }) }) }) })] }) }));
}
