import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { RiCheckboxCircleLine, RiCloseCircleLine, RiErrorWarningLine, RiInformationLine, } from '@remixicon/react';
import cn from 'classnames';
import { useMemo } from 'react';
import './Alert.css';
export function Alert({ type = 'info', children }) {
    const icon = useMemo(() => {
        switch (type) {
            case 'error':
                return _jsx(RiCloseCircleLine, {});
            case 'success':
                return _jsx(RiCheckboxCircleLine, {});
            case 'warning':
                return _jsx(RiErrorWarningLine, {});
            default:
                return _jsx(RiInformationLine, {});
        }
    }, [type]);
    return (_jsxs("div", { className: cn('doc-ui-alert', 'doc-ui-alert-' + type), children: [_jsx("div", { className: "doc-ui-alert-icon", children: icon }), _jsx("div", { className: "doc-ui-alert-main", children: children })] }));
}
