import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { RiFileCopy2Line } from '@remixicon/react';
import { useEffect, useState } from 'react';
import { SuccessButton } from './SuccessButton';
import { ToolButton } from './ToolButton';
export function CopyButton({ code, locale }) {
    const [success, setSuccess] = useState(false);
    useEffect(() => {
        let timer = 0;
        if (success) {
            timer = window.setTimeout(() => {
                setSuccess(false);
            }, 1500);
        }
        return () => {
            window.clearTimeout(timer);
        };
    }, [success]);
    if (success) {
        return _jsx(SuccessButton, { locale: locale });
    }
    return (_jsxs(ToolButton, { onClick: () => {
            navigator.clipboard
                .writeText(code || '')
                .then(() => {
                setSuccess(true);
            })
                .catch();
        }, children: [_jsx(RiFileCopy2Line, {}), (locale === null || locale === void 0 ? void 0 : locale['copy']) || 'Copy'] }));
}
