import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { RiMacbookLine, RiSmartphoneLine, RiTabletLine } from '@remixicon/react';
import cn from 'classnames';
import { useMemo, useState } from 'react';
import { LiveEditor, LiveError, LivePreview, LiveProvider } from 'react-live';
import { CopyButton } from './CopyButton';
import './DemoBlock.css';
import { FileName } from './FileName';
import { Spacer } from './Spacer';
import { Toolbar } from './Toobar';
import { ToolButton } from './ToolButton';
import { ToolSelect } from './ToolSelect';
export function DemoBlock({ code, filename, language = 'jsx', device = 'responsive', disablePadding, className, style, }) {
    const deviceList = useMemo(() => [
        { value: 'mobile', label: 'Mobile', icon: _jsx(RiSmartphoneLine, {}) },
        { value: 'tablet', label: 'Tablet', icon: _jsx(RiTabletLine, {}) },
        { value: 'laptop', label: 'Laptop', icon: _jsx(RiMacbookLine, {}) },
    ], []);
    const [selectedDevice, setSelectedDevice] = useState(device === 'responsive' ? 'laptop' : device);
    const selectedDeviceObj = useMemo(() => deviceList.find((item) => item.value === selectedDevice), [selectedDevice, deviceList]);
    return (_jsxs("div", { className: cn('doc-ui-demo-block', 'doc-ui-demo-block-' + selectedDevice, className), style: style, children: [_jsxs(Toolbar, { children: [_jsx(FileName, { language: language, filename: filename }), _jsx(Spacer, {}), device === 'responsive' ? (_jsx(ToolSelect, { value: selectedDevice, onChange: setSelectedDevice, options: deviceList })) : (_jsx(ToolButton, { icon: selectedDeviceObj === null || selectedDeviceObj === void 0 ? void 0 : selectedDeviceObj.icon, children: selectedDeviceObj === null || selectedDeviceObj === void 0 ? void 0 : selectedDeviceObj.label })), _jsx(CopyButton, { code: code })] }), _jsx(LiveProvider, { code: code, 
                // disable the built-in theme of react-prism-renderer
                theme: { plain: {}, styles: [] }, enableTypeScript: language === 'tsx', children: _jsxs("div", { className: "doc-ui-demo-block-main", children: [_jsx(LivePreview, { className: cn('doc-ui-demo-block-preview', disablePadding && 'doc-ui-demo-block-preview-disable-padding') }), _jsxs("div", { className: "doc-ui-demo-block-develop", children: [_jsx(LiveError, { className: "doc-ui-demo-block-error" }), _jsx(LiveEditor, { className: "doc-ui-demo-block-editor" })] })] }) })] }));
}
