import { jsx as _jsx } from "react/jsx-runtime";
import { NavLink } from 'react-router-dom';
import './SiteNav.css';
import { getRoutePath } from './getRoutePath';
export function SiteNav({ docs }) {
    return (_jsx("aside", { className: "doc-ui-site-nav", children: _jsx("nav", { className: "doc-ui-site-nav-inner", children: docs
                .map((doc) => ({ title: doc.title, path: getRoutePath(doc.filepath) }))
                .sort((a, b) => a.path.localeCompare(b.path))
                .map((doc) => (_jsx(NavLink, { className: "doc-ui-site-nav-item", to: getRoutePath(doc.path), children: doc.title }, doc.path))) }) }));
}
