import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import { useState } from 'react';
import { ToolButton } from './ToolButton';
import './ToolSelect.css';
export function ToolSelect({ value, onChange, options, className, style }) {
    const [open, setOpen] = useState(false);
    const selected = options.find((item) => item.value === value);
    return (_jsxs("div", { className: cn('doc-ui-select', className), style: style, children: [_jsx(ToolButton, { icon: selected === null || selected === void 0 ? void 0 : selected.icon, onClick: () => setOpen((prev) => !prev), children: selected === null || selected === void 0 ? void 0 : selected.label }), _jsx("div", { className: cn('doc-ui-select-dropdown', open && 'doc-ui-select-dropdown-open'), children: options.map((item) => (_jsx(ToolButton, { icon: item.icon, onClick: () => {
                        onChange(item.value);
                        setOpen(false);
                    }, children: item.label }, item.value))) })] }));
}
